Create a Xero account
curl --request POST \
--url https://api.breezing.io/v1/xero/accounts \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"taxType": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/xero/accounts"
payload = {
"code": "<string>",
"name": "<string>",
"description": "<string>",
"taxType": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
description: '<string>',
taxType: '<string>'
})
};
fetch('https://api.breezing.io/v1/xero/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"code": "<string>",
"name": "<string>",
"type": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Xero
Create Xero Account API
Create a new Xero account from Breezing to add a destination for crypto journal entries without leaving the API workflow.
POST
/
xero
/
accounts
Create a Xero account
Query Parameters
Organization ID. Use GET /v1/companies to discover available org/company pairs.
Example:
"1"
Company ID. Use GET /v1/companies to discover available companies and their access levels.
Example:
"1"
Body
application/json
Account code (max 10 chars). Used as the identifier when setting account on transactions/assets.
Required string length:
1 - 10Account display name (max 150 chars).
Required string length:
1 - 150Xero account type. Common values: BANK, CURRENT (current asset), CURRLIAB (current liability), EXPENSE, REVENUE, EQUITY, FIXED (fixed asset), DIRECTCOSTS, OVERHEADS.
Available options:
BANK, CURRENT, CURRLIAB, DEPRECIATN, DIRECTCOSTS, EQUITY, EXPENSE, FIXED, INVENTORY, LIABILITY, NONCURRENT, OTHERINCOME, OVERHEADS, PREPAYMENT, REVENUE, SALES, TERMLIAB, PAYG Optional description (not valid for BANK accounts).
Maximum string length:
4000Optional Xero tax type code.
Last modified on May 3, 2026